import { Canvas, CanvasView } from '@nativescript-community/ui-canvas';
import { Style } from '@nativescript/core';
import { CanvasRenderingContext2D } from '../contexts/CanvasRenderingContext2D';
import { ImageBitmapRenderingContext } from '../contexts/ImageBitmapRenderingContext';
import { OffscreenCanvas } from '../elements/OffscreenCanvas';
declare abstract class HTMLCanvasViewBase extends CanvasView {
    private _mStyle;
    private _lastCanvas;
    private _offscreenContext;
    private _contexts;
    private _isControlledByOffscreen;
    constructor();
    getContext(contextId: '2d', contextAttributes?: any): CanvasRenderingContext2D | null;
    getContext(contextId: 'bitmaprenderer', contextAttributes?: any): ImageBitmapRenderingContext | null;
    enableOffscreenBuffer(): void;
    disableOffscreenBuffer(): void;
    isOffscreenBufferEnabled(): boolean;
    drawOffscreenBuffer(): void;
    transferControlToOffscreen(): OffscreenCanvas;
    toDataURL(type?: string, encoderOptions?: number): string;
    get nativeContext(): Canvas;
    onDraw(canvas: Canvas): void;
    get style(): Style;
    set style(val: Style);
    get width(): number;
    set width(val: number | string);
    get height(): number;
    set height(val: number | string);
}
export { HTMLCanvasViewBase };
